:root {
  /*
  --theme-color: #003967;
  --theme-color-light: #aeb7c6;
  --theme-color-light-bg: rgba(174, 183, 198, 0.185);
  */
  --theme-color: #3aa675; /* color of hyperlinks / clickable elements */
  --theme-color-dark: #266d4d; /* background color of highlighted text elements */
  --theme-color-light: #adbac7;
  --theme-color-light-bg: rgba(173, 186, 199, 0.185);
  
  --theme-color-compl: #a63a6b;
  
  --tech-font: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  --mono-font: monospace;
}

*, *::before, *::after {
  box-sizing: border-box;
}

.alert-secondary {
  --bs-alert-border-color: var(--bs-border-color);
  border-left: 0.4rem solid var(--bs-primary, var(--bs-gray-300));
}

.bib-container {
  position: relative;
  text-wrap-mode: wrap;
}

.bibl-long {
  border: solid 1px var(--theme-color) !important;
  border-radius: 3px;
  display: none;
  font-size: smaller;
  max-width: fit-content;
  padding: 5px;
  word-wrap: break-word;
}

.bibl-long {
  .book_title, .journal {
      font-style: italic;
  }
}

// `.bibl-long` in metadata tido panel
.bibl-short + input[type="checkbox"]:checked ~ .bibl-long {
  display: block;
}

// `.bibl-long` in normal tido panel
.bibl-long.bibl-click {
  background-color: rgb(250, 250, 250);
  color: rgb(38, 38, 38);
  display: block;
  position: absolute;
  text-indent: 0;
  width: 180px;
  z-index: 1;
  
  html.dark & {
      background-color: rgb(38, 38, 38) !important;
      color: rgb(229, 229, 229) !important;
  }
}

// `.bibl-long` in normal page
:not(.bib-within) > .bib-container:focus > .bibl-long,
.bib-within:focus-within > .bib-container:hover > .bibl-long {
  background-color: var(--c-bg);
  display: block;
  left: 50%;
  max-width: unset !important;
  position: absolute;
  text-indent: 0;
  top: 100%;
  transform: translate(-50%, 0);
  width: 180px;
  z-index: 1;
}

.bibl-short:not(:has(~ .vp-playground)) {
  color: var(--theme-color);
  cursor: pointer;
  
  li > & {
    vertical-align: top;
  }
}

.bibl-short + input[type="checkbox"] {
  display: none;
}

.bibliography-hidden {
  height: 0;
  overflow: hidden;
}

.btn-outline-primary {
  [data-bs-theme=dark] & {
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-color: var(--bs-primary);
    --bs-btn-hover-bg: var(--bs-primary);
  }
}

.btn-outline-secondary {
  --bs-btn-active-bg: var(--c-bg-dark);
  --bs-btn-active-border-color: var(--c-bg-dark);
  --bs-btn-active-color: var(--c-text);
  --bs-btn-border-color: var(--c-bg-dark);
  --bs-btn-color: var(--bs-gray-600);
  --bs-btn-hover-bg: var(--c-bg-dark);
  --bs-btn-hover-border-color: var(--c-bg-dark);
  --bs-btn-hover-color: var(--c-text);
  border-width: 0;
}

.card {
  --bs-card-border-color: var(--c-border);
  background: var(--c-bg);
}

.card-body {
  color: var(--c-text);

  h3 {
    margin-top: 0 !important;
  }
}

.navbar-items {
  .navbar-item {
    margin-left: 0; // swapped value; originally 1.5rem

    .navbar-dropdown-wrapper .navbar-dropdown-title {
      margin-left: 1.5rem; // swapped value; originally 0
    }
  }

  .navbar-item:first-child {
    .navbar-dropdown-wrapper .navbar-dropdown-title {
      margin-left: var(--navbar-padding-h); // swapped value; originally 0

      @media (min-width: 1200px) {
        margin-left: min(180px, calc(100vw - 1150px));
      }
    }
  }
}

.navbar-items-wrapper {
  max-width: calc(100vw - 514px) !important; // this mimics the default, which is ignored by Safari
  padding-left: 0; // swapped value; originally var(--navbar-padding-h)
}

.navbar-items-wrapper .toggle-color-mode-button {
  @media (max-width: 567px) {
    // move the color mode button to the left on narrow screens
    left: -33px;
    position: relative;
  }
}

.page .theme-default-content {
  /* set justified text with proper hyphenation */
  hyphenate-limit-chars: 12 4 4;
  hyphens: auto;
  margin-left: 0 !important;
  margin-right: 0 !important;
  max-width: 100%;
  padding-bottom: 2rem !important;
  padding-left: 10vw !important;
  padding-right: 20vw !important;
  padding-top: 2rem !important;
  text-align: justify;
}

.page .bg-container, .page .theme-default-content {
  /* only needed if breadcrumbs have fixed position */
  margin-top: var(--navbar-height);
}

.sidebar .navbar-items {
  display: initial; // set to `none` to remove navbar from sidebar on narrow screens
}

.sidebar .navbar-items .navbar-dropdown-wrapper .navbar-dropdown .navbar-dropdown-item a::after {
  display: none;
}

.theme-container.no-sidebar {
  /* set paddings and background image when there is no sidebar */
  .page .theme-default-content {
    --bg-offset-y: calc(4rem + var(--navbar-height) + var(--navbar-padding-h));  /* if `background-attachment` is not `fixed`, `2rem` looks good */
    --bg-height: calc(97.5vh - var(--bg-offset-y));
    --bg-width-approx: calc(var(--bg-height) / 2);
    background-attachment: fixed;
    background-image: none; /* dynamically set by JS */
    background-position-y: var(--bg-offset-y);
    background-repeat: no-repeat;
    background-size: auto var(--bg-height);
    min-height: calc(100vh - var(--bg-offset-y) + 1rem);
    padding-left: 15vw !important;
    padding-right: 15vw !important;

    h1, h2, h3, h4, h5, h6, p, summary {
      /* make image behind text a bit transparent */
      html:not(.dark) & {
        --c-bg-rgb: 255, 255, 255; // rgb values of `--c-bg` in light mode
      }
      html.dark & {
        --c-bg-rgb: 34, 39, 46; // rgb values of `--c-bg` in dark mode
      }
      background-color: rgba(var(--c-bg-rgb), 50%);
      border-radius: 0.5em;
    }
  }
  .page .theme-default-content.bg-left {
    /* min(0, ([padding] - [approx. image width]) / 2) */
    background-position-x: calc(min(0px, (15vw - var(--bg-width-approx)) / 2));
  }
  .page .theme-default-content.bg-right {
    /* [page width] - [approx. image width] - min(0, ([padding] - [approx. image width]) / 2) */
    background-position-x: calc(100vw - var(--bg-width-approx) - min(0px, (15vw - var(--bg-width-approx)) / 2));
  }
}

.theme-default-content {
  a.btn:hover {
    text-decoration: none;
  }

  h1, h2, h3, h4 {
    margin-bottom: 0;
    margin-top: 0;
    padding-top: 0;
  }

  h1 {
    margin-top: 2.5rem;
  }

  h2 {
    margin-top: 2.5rem;
  }

  h3 {
    margin-top: 2rem;
  }
}

.title-img {
  height: 120%;
  margin-left: -20px;
  max-height: 40px;
  max-width: unset !important;

  @media (max-width: 1111px) { /* $MQMobile */
    /* move logo beneath burger menu button on narrow screens */
    margin-left: calc(-20px - 2 * 0.6rem);
  }

  @media (max-width: 325px) {
    /* hide image on very narrow screens */
    display: none;
  }
}

.vp-playground {
  display: none;
}

body {
  background: transparent !important;
  font-family: Roboto,-apple-system,Helvetica Neue,Helvetica,Arial,sans-serif !important;
}

h2 {
  border-bottom: 0;
}

img {
  max-width: 100%;
}

nav.page-nav {
  display: none; // hide page navigation
}

/*
table {
  overflow: unset;
}
*/

.page-meta {
  padding: 0.25rem 2.5rem !important;
}

[data-bs-theme=dark] {
  --bs-body-bg: var(--c-bg);
  --bs-card-bg: var(--c-bg);
  --bs-secondary-bg-subtle: var(--c-bg-light);
}
